searchData={"items":[{"type":"module","title":"keylara","doc":"","ref":"keylara.html"},{"type":"function","title":"keylara.get_entropy_bytes/2","doc":"Get entropy as bytes from Alara network","ref":"keylara.html#get_entropy_bytes/2"},{"type":"function","title":"keylara.get_version/0","doc":"Get Keylara version","ref":"keylara.html#get_version/0"},{"type":"function","title":"keylara.start/0","doc":"Start the Keylara application","ref":"keylara.html#start/0"},{"type":"function","title":"keylara.stop/0","doc":"Stop the Keylara application","ref":"keylara.html#stop/0"},{"type":"module","title":"keylara_aes","doc":"","ref":"keylara_aes.html"},{"type":"type","title":"keylara_aes.aes_encrypted/0","doc":"","ref":"keylara_aes.html#t:aes_encrypted/0"},{"type":"type","title":"keylara_aes.aes_iv/0","doc":"","ref":"keylara_aes.html#t:aes_iv/0"},{"type":"type","title":"keylara_aes.aes_key/0","doc":"","ref":"keylara_aes.html#t:aes_key/0"},{"type":"type","title":"keylara_aes.aes_key_size/0","doc":"","ref":"keylara_aes.html#t:aes_key_size/0"},{"type":"function","title":"keylara_aes.decrypt/2","doc":"Decrypt data using AES with IV","ref":"keylara_aes.html#decrypt/2"},{"type":"function","title":"keylara_aes.decrypt/3","doc":"Decrypt data using AES with specified IV","ref":"keylara_aes.html#decrypt/3"},{"type":"function","title":"keylara_aes.encrypt/2","doc":"Encrypt data using AES with a randomly generated IV","ref":"keylara_aes.html#encrypt/2"},{"type":"function","title":"keylara_aes.encrypt/3","doc":"Encrypt data using AES with specified IV","ref":"keylara_aes.html#encrypt/3"},{"type":"type","title":"keylara_aes.entropy_error/0","doc":"","ref":"keylara_aes.html#t:entropy_error/0"},{"type":"function","title":"keylara_aes.generate_iv/0","doc":"Generate random IV for AES","ref":"keylara_aes.html#generate_iv/0"},{"type":"function","title":"keylara_aes.generate_key/1","doc":"Generate AES key using Alara distributed entropy network","ref":"keylara_aes.html#generate_key/1"},{"type":"function","title":"keylara_aes.generate_key/2","doc":"Generate AES key of specific size using Alara distributed entropy network","ref":"keylara_aes.html#generate_key/2"},{"type":"function","title":"keylara_aes.get_key_type/1","doc":"Get AES cipher type based on key size","ref":"keylara_aes.html#get_key_type/1"},{"type":"type","title":"keylara_aes.keylara_error/0","doc":"","ref":"keylara_aes.html#t:keylara_error/0"},{"type":"function","title":"keylara_aes.validate_iv/1","doc":"Validate AES IV","ref":"keylara_aes.html#validate_iv/1"},{"type":"function","title":"keylara_aes.validate_key/1","doc":"Validate AES key","ref":"keylara_aes.html#validate_key/1"},{"type":"module","title":"keylara_chacha20","doc":"","ref":"keylara_chacha20.html"},{"type":"type","title":"keylara_chacha20.chacha20_counter/0","doc":"","ref":"keylara_chacha20.html#t:chacha20_counter/0"},{"type":"type","title":"keylara_chacha20.chacha20_key/0","doc":"","ref":"keylara_chacha20.html#t:chacha20_key/0"},{"type":"type","title":"keylara_chacha20.chacha20_nonce/0","doc":"","ref":"keylara_chacha20.html#t:chacha20_nonce/0"},{"type":"function","title":"keylara_chacha20.decrypt/3","doc":"Decrypt data using ChaCha20 with counter = 0","ref":"keylara_chacha20.html#decrypt/3"},{"type":"function","title":"keylara_chacha20.decrypt/4","doc":"Decrypt data using ChaCha20 with specified counter","ref":"keylara_chacha20.html#decrypt/4"},{"type":"function","title":"keylara_chacha20.encrypt/3","doc":"Encrypt data using ChaCha20 with counter = 0","ref":"keylara_chacha20.html#encrypt/3"},{"type":"function","title":"keylara_chacha20.encrypt/4","doc":"Encrypt data using ChaCha20 with specified counter","ref":"keylara_chacha20.html#encrypt/4"},{"type":"function","title":"keylara_chacha20.generate_key/1","doc":"Generate ChaCha20 key using Alara distributed entropy","ref":"keylara_chacha20.html#generate_key/1"},{"type":"function","title":"keylara_chacha20.generate_nonce/1","doc":"Generate ChaCha20 nonce using Alara distributed entropy","ref":"keylara_chacha20.html#generate_nonce/1"},{"type":"function","title":"keylara_chacha20.get_key_size/0","doc":"Get ChaCha20 key size in bytes","ref":"keylara_chacha20.html#get_key_size/0"},{"type":"function","title":"keylara_chacha20.get_nonce_size/0","doc":"Get ChaCha20 nonce size in bytes","ref":"keylara_chacha20.html#get_nonce_size/0"},{"type":"type","title":"keylara_chacha20.keylara_error/0","doc":"","ref":"keylara_chacha20.html#t:keylara_error/0"},{"type":"function","title":"keylara_chacha20.validate_key/1","doc":"Validate ChaCha20 key format and size","ref":"keylara_chacha20.html#validate_key/1"},{"type":"function","title":"keylara_chacha20.validate_nonce/1","doc":"Validate ChaCha20 nonce format and size","ref":"keylara_chacha20.html#validate_nonce/1"},{"type":"module","title":"keylara_rsa","doc":"","ref":"keylara_rsa.html"},{"type":"function","title":"keylara_rsa.decrypt/2","doc":"Decrypt data using RSA private key","ref":"keylara_rsa.html#decrypt/2"},{"type":"function","title":"keylara_rsa.encrypt/2","doc":"Encrypt data using RSA public key","ref":"keylara_rsa.html#encrypt/2"},{"type":"function","title":"keylara_rsa.extract_public_key/1","doc":"Extract public key from private key structure","ref":"keylara_rsa.html#extract_public_key/1"},{"type":"function","title":"keylara_rsa.generate_keypair/1","doc":"Generate RSA keypair using default key size","ref":"keylara_rsa.html#generate_keypair/1"},{"type":"function","title":"keylara_rsa.generate_keypair/2","doc":"Generate RSA keypair using Alara distributed entropy network","ref":"keylara_rsa.html#generate_keypair/2"},{"type":"function","title":"keylara_rsa.get_key_size/1","doc":"Get the size of an RSA key in bits","ref":"keylara_rsa.html#get_key_size/1"},{"type":"type","title":"keylara_rsa.keylara_error/0","doc":"","ref":"keylara_rsa.html#t:keylara_error/0"},{"type":"type","title":"keylara_rsa.rsa_key_size/0","doc":"","ref":"keylara_rsa.html#t:rsa_key_size/0"},{"type":"type","title":"keylara_rsa.rsa_private_key/0","doc":"","ref":"keylara_rsa.html#t:rsa_private_key/0"},{"type":"type","title":"keylara_rsa.rsa_public_key/0","doc":"","ref":"keylara_rsa.html#t:rsa_public_key/0"},{"type":"function","title":"keylara_rsa.validate_key_size/1","doc":"Validate RSA key size","ref":"keylara_rsa.html#validate_key_size/1"}],"proglang":"erlang","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}